.header-main-menu{
  ul{
    list-style: none;
    padding: 0;
  }

  .header-main-menu-parent{
    display: flex;
    align-items: center;
  }

  @include media-breakpoint-down(md){
    position: static;

    .navbar-toggler{
      padding: 0;
      border: none;
      box-shadow: none;
    }

    .navbar-collapse{
      position: absolute;
      z-index: 100;
      right: 0;
      top: 80px;
      background-color: $white;
      box-shadow: 0 6px 40px rgba(0,0,0,.25);
      padding: 65px;
      width: 100%;
      max-width: 320px;
      min-height: calc(100vh - 80px);
      flex-direction: column;
      justify-content: space-between;
      align-items: flex-start;

      &.collapsing {
        transition: none;
      }

      &.show{
        display: flex;

        > ul{
          display: block;
        }
      }

      > ul{
        display: none;
      }

      a, .header-main-menu-parent{
        color: $text-black;
        text-decoration: none;
      }      

      > ul{
        > li {
          padding-bottom: 20px;

          > a, .header-main-menu-parent{
            text-transform: uppercase;
            font-weight: bold;
            display: flex;
            align-items: center;
            cursor: pointer;
          }
        }

        ul{

          li{
            margin-bottom: 5px;

            &:first-child{
              margin-top: 10px;
            }
          }
        }
      }

      .header-main-menu-parent[aria-expanded="true"]{
        color: $green-main;

        .icon-arrow-down-dark{
          background-image: url("data:image/svg+xml,%3Csvg fill='%2314a1b8' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 384 512'%3E%3Cpath d='M192 384c-8.188 0-16.38-3.125-22.62-9.375l-160-160c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L192 306.8l137.4-137.4c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25l-160 160C208.4 380.9 200.2 384 192 384z'/%3E%3C/svg%3E");
          transform: rotate(180deg);
        }
      }
    }
  }
}

.header-main-menu-right{
  a{
    display: inline-flex;
    align-items: center;
    text-transform: uppercase;
    font-weight: 700;
  }
}

.main-menu-opened{
  position: relative;

  &:after{
    transition: background-color .7s ease;
    content: '';
    display: block;
    position: absolute;
    z-index: 1000;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    top: 0;
    left: 0;
  }

  .header-main{
    z-index: 1001;
  }
}

@include media-breakpoint-up(lg){
  .navbar-collapse{
    > ul > li{
      position: relative;
      
      > {
        a, .header-main-menu-parent{
          text-transform: uppercase;
          text-decoration: none;
          font-weight: bold;
          cursor: pointer;
          padding: 0 10px;
          color: $text-black;
        }

        .header-main-menu-parent{
          position: relative;

          + ul {
            position: absolute;
            background-color: $white;
            top: 54px;
            left: -20px;
            padding: 25px 30px;
            // min-width: calc(100% + 60px);

            &.collapsing{
              transition-duration: .1s;
            }

            li{
              margin-bottom: 15px;
              line-height: 1.2;

              &:last-child{
                margin-bottom: 0;
              }
            }

            a{
              text-decoration: none;
              font-weight: bold;
              color: $text-black;
              font-size: remCalc(12);
              white-space: nowrap;
            }
          }
        }
      }
    }

    .icon-home-dark{
      width: 17px;
      height: 15px;
      background-size: 17px auto;
    }
  }

  .header-main{
    &:not(.header-main-menu-opened):not(.header-main-sticky):not(.header-main-white){
      .navbar-collapse{
        > ul > li{
          
          > {

            a, .header-main-menu-parent{
              color: $white;

              &:not(.btn){
                &:hover{
                  &:after{
                    content: '';
                    display: inline-block;
                    width: 100%;
                    left: 0;
                    height: 3px;
                    background-color: $green-main;
                    position: absolute;
                    bottom: -29px;
                    z-index: 2;
                  }
                }
              }
            }

            .header-main-menu-parent{
              position: relative;

              .icon-arrow-down-dark{
                background-image: url("data:image/svg+xml,%3Csvg fill='%23FFFFFF' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 384 512'%3E%3Cpath d='M192 384c-8.188 0-16.38-3.125-22.62-9.375l-160-160c-12.5-12.5-12.5-32.75 0-45.25s32.75-12.5 45.25 0L192 306.8l137.4-137.4c12.5-12.5 32.75-12.5 45.25 0s12.5 32.75 0 45.25l-160 160C208.4 380.9 200.2 384 192 384z'/%3E%3C/svg%3E");
              }
            }
          }
        }

        .icon-home-dark{
          background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23FFFFFF' viewBox='0 0 576 512'%3E%3Cpath d='M575.8 255.5C575.8 273.5 560.8 287.6 543.8 287.6H511.8L512.5 447.7C512.5 450.5 512.3 453.1 512 455.8V472C512 494.1 494.1 512 472 512H456C454.9 512 453.8 511.1 452.7 511.9C451.3 511.1 449.9 512 448.5 512H392C369.9 512 352 494.1 352 472V384C352 366.3 337.7 352 320 352H256C238.3 352 224 366.3 224 384V472C224 494.1 206.1 512 184 512H128.1C126.6 512 125.1 511.9 123.6 511.8C122.4 511.9 121.2 512 120 512H104C81.91 512 64 494.1 64 472V360C64 359.1 64.03 358.1 64.09 357.2V287.6H32.05C14.02 287.6 0 273.5 0 255.5C0 246.5 3.004 238.5 10.01 231.5L266.4 8.016C273.4 1.002 281.4 0 288.4 0C295.4 0 303.4 2.004 309.5 7.014L564.8 231.5C572.8 238.5 576.9 246.5 575.8 255.5L575.8 255.5z'/%3E%3C/svg%3E");
        }
      }

      .header-main-menu-right{
        a{
          color: white;
        }
      }
    }

    &.header-main-menu-opened{
      .header-main-menu-parent[aria-expanded="true"]{
        position: relative;

        + ul{
          box-shadow: 0 -6px 40px rgba(20, 161, 184, 0.25);

          &:before{
            content: '';
            display: inline-block;
            width: 100%;
            left: 0;
            height: 3px;
            background-color: $green-main;
            position: absolute;
            top: -3px;
            z-index: 2;
          }
        }
      }      
    }

    &.header-main-menu-opened, &.header-main-white, &.header-main-sticky{

      .header-main-menu-right{
        a{
          color: $text-black;
        }

        .icon-login-white{
          background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 512 512'%3E%3Cpath d='M344.7 238.5l-144.1-136C193.7 95.97 183.4 94.17 174.6 97.95C165.8 101.8 160.1 110.4 160.1 120V192H32.02C14.33 192 0 206.3 0 224v64c0 17.68 14.33 32 32.02 32h128.1v72c0 9.578 5.707 18.25 14.51 22.05c8.803 3.781 19.03 1.984 26-4.594l144.1-136C354.3 264.4 354.3 247.6 344.7 238.5zM416 32h-64c-17.67 0-32 14.33-32 32s14.33 32 32 32h64c17.67 0 32 14.33 32 32v256c0 17.67-14.33 32-32 32h-64c-17.67 0-32 14.33-32 32s14.33 32 32 32h64c53.02 0 96-42.98 96-96V128C512 74.98 469 32 416 32z'/%3E%3C/svg%3E");
        }
      }

      .btn{
        border-color: $text-black;

        &:hover{
          background-color: white;
          border-color: #10798a;
          color: #10798a;
        }

        &:focus, &:active, &:active:focus{
          background-color: white;
          box-shadow: none;
          border-color: #325b62;
          color: #325b62;
        }
      }
    }

    .btn{
      text-transform: none;
      padding: 9px 15px 10px;
    }
  }
}

@include media-breakpoint-up(xxl){
  .navbar-collapse{
    > ul > li{
      margin: 0 5px;

      > .header-main-menu-parent + ul {
        top: 79px;

        li{
          margin-bottom: 20px;

          &:last-child{
            margin-bottom: 0;
          }
        }

        a{
          font-size: 1rem;
        }
      }
    }
  }

  .header-main:not(.header-main-menu-opened):not(.header-main-sticky):not(.header-main-white) .navbar-collapse > ul > li > {
    a:not(.btn), .header-main-menu-parent:not(.btn){
      &:hover::after{
        bottom: -54px;
      }
    }
  }
}